<template>
  <div class="page-list-container">
    <el-table
      :data="items"
      style="width: 100%;margin:20px 10px"
      :show-header="false"
    >
      <el-table-column width="30">
        <template>
          <i class="el-icon-user" style="color:#e72324;font-size:20px"></i>
        </template>
      </el-table-column>
      <el-table-column prop="name" label="名称" width="180"></el-table-column>
      <el-table-column prop="createdAt" label="日期"></el-table-column>
      <el-table-column fixed="right" label="操作" width="150" align="center">
        <template slot-scope="scope">
          <el-button
            @click="handlerClick(scope.row)"
            type="danger"
            v-show="!scope.row.isEnd"
            >批阅</el-button
          >
          <el-button
            type="danger"
            plain
            v-show="scope.row.isEnd"
            @click="handlerClick(scope.row)"
            >查看详情</el-button
          >
        </template>
      </el-table-column>
    </el-table>
    <!-- <PageDetail
      v-if="showDetail"
      :markData="markData"
      @commitMark="commitMark"
      @cancel="showDetail = false"
    ></PageDetail> -->
  </div>
</template>

<script>
// import PageDetail from "./pageDetail";

export default {
  name: "allPageList",
  props: {
    items: {
      type: Array,
      default: () => []
    }
  },
  // components: {
  //   PageDetail
  // },
  data() {
    return {
      // showDetail: false,
      // markData: {
      //   account: undefined,
      //   answers: undefined,
      //   createdAt: undefined,
      //   isEnd: undefined,
      //   name: undefined,
      //   score: undefined,
      //   total: undefined,
      //   updatedAt: undefined
      // }
    };
  },
  methods: {
    handlerClick(data) {
      this.$emit("check", data);
    }
    // handlerCommitMark(data) {
    //   this.$emit("commit", data);
    // }
  }
};
</script>
